GET /api/v1/webhooks/logs — Get Webhook Logs
Retrieve delivery logs for webhook events including request/response details and failure information for troubleshooting.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
Request Body
Content-Type: application/json
- requestId (string, optional)
- Filter logs by request ID
- webhookStatus (integer, optional)
- Filter by delivery status (success/failed)
- webhookUrl (string, optional)
- Filter logs by your webhook url
{
"requestId": "",
"webhookUrl": "",
"webhookStatus": null
}Responses
HTTP 200 —
{
"data": [
{
"requestId": "D019910D-8831-481F-B491-0D09F9443D8D",
"createdDate": "2026-01-04T11:22:19.993",
"webhookStatus": "FAILEDFROMCLIENT (4)",
"httpStatusCode": 404,
"webhookUrl": "https://webhook.site/0e69f910-6c36-487a-aa09",
"reasons": ""
}
],
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}